# iterative power function using repeated squares
iPower <- function( x, n )
{
	# convert exponent to binary
	b = int2bin( n )
	
	# get number of digits
	digits = length( b )

	# intitialize result
	result = 1

	# for every digit in our exponent
	for( i in 1:digits )
	{
		# if current digit is 0
		if( b[i] == 0 ) result = result * result

		# else if current digit is 1		
		else result = result * result * x
	}
	
	# return result
	return( result )
}
