# recursive power function using repeated squares
rPower <- function( x, n, i=1, result=1 )
{
    # convert exponent to binary
    b = int2bin( n )

    # get number of digits
    digits = length( b )

    # recursive termination:
    # check if we are past last digit
    if( i > digits ) return( result )

    # if current digit is 0
    if( b[i] == 0 ) result = result * result

    # else if current digit is 1
    else result = result * result * x

    # return recursive result
    return( rPower( x, n, i+1, result ) )
}
